# Posts: get

**Important**:
We will discontinue support for the v2.0 JSON API on September 30th, 2024.
To ensure continued functionality, update your applications that rely on the v2.0 JSON API
to the latest API version. For the latest version, use the links in the left-side navbar.

Retrieves one post by postId.
[Try it now](https://developers.google.com/blogger/docs/2.0/json/reference/posts/get#try-it).

Authentication is required if the post is on a blog that is private. If the post is on a blog is public, then this method can be called without authentication.

## Request

### HTTP Request

```
GET https://www.googleapis.com/blogger/v2/blogs/blogId/posts/postId
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `blogId` | `string` | ID of the blog to fetch the post from. |
| `postId` | `string` | The ID of the post |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Posts resource](https://developers.google.com/blogger/docs/2.0/json/reference/posts#resource) in the response body.

## Try It!


Use the explorer below to call this method on live data and see the response.